;
; Ullrich von Bassewitz, 29.09.1998
;
; void pokebsys (unsigned Addr, unsigned char Val);
; void pokewsys (unsigned Addr, unsigned Val);

	.export	     	_pokebsys, _pokewsys
	.import		popsreg
	.importzp    	sreg, tmp1

	.include       	"zeropage.inc"


_pokebsys:
	pha
	jsr    	popsreg	    	; Get the address
	ldx	IndReg
	lda	#$0F
	sta	IndReg 	    	; Switch to the system bank
	pla	       	    	; Get the register value
	ldy	#$00
	sta	(sreg),y
	stx	IndReg
	rts

_pokewsys:
	stx	tmp1
	pha
       	jsr    	popsreg		; Get the address
	ldx	IndReg
	lda	#$0F
	sta	IndReg 	    	; Switch to the system bank
	pla	       	    	; Get the register value
	ldy	#$00
	sta	(sreg),y
	iny
	lda	tmp1
	sta	(sreg),y
	stx	IndReg
	rts


