;  
; Ullrich von Bassewitz, 10.12.1998
;
; Integer compare function - used by the compare operators
;

	.export		tosicmp
	.import		incsp2
	.importzp	sp, sreg


tosicmp:
  	sta	sreg
	stx	sreg+1		; Save ax

	ldy    	#$01
       	lda    	(sp),y 	       	; Get high byte
	tax
    	dey
    	lda	(sp),y		; Get low byte

; Inline incsp2 for better performance

    	inc	sp		; 5
       	bne	@L1		; 3
    	inc	sp+1		; (5)
@L1:	inc	sp		; 5
    	bne	@L2		; 3
    	inc	sp+1		; (5)

@L2:	cpx	sreg+1		; Compare high byte
    	bne    	@L3
    	cmp	sreg		; Compare low byte
@L3: 	rts

